xine-lib: _CMediaSample Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
_CMediaSample Struct Reference

`#include <cmediasample.h>`

## Data Fields
IMediaSample_vt * | vt
int | refcount
IMemAllocator * | all
int | size
int | actual_size
char * | block
char * | own_block
int | isPreroll
int | isSyncPoint
int | isDiscontinuity
LONGLONG | time_start
LONGLONG | time_end
AM_MEDIA_TYPE | media_type
int | type_valid
void(* | SetPointer )(CMediaSample *This, char *pointer)
void(* | ResetPointer )(CMediaSample *This)

## Field Documentation

## ◆ actual_size

int _CMediaSample::actual_size

Referenced by CMediaSample_SetActualDataLength(), and CMediaSampleCreate().

## ◆ all

IMemAllocator* _CMediaSample::all

Referenced by CMediaSample_Release(), and CMediaSampleCreate().

## ◆ block

char* _CMediaSample::block

Referenced by CMediaSample_ResetPointer(), CMediaSample_SetActualDataLength(), CMediaSample_SetPointer(), and CMediaSampleCreate().

## ◆ isDiscontinuity

int _CMediaSample::isDiscontinuity

Referenced by CMediaSampleCreate().

## ◆ isPreroll

int _CMediaSample::isPreroll

Referenced by CMediaSampleCreate().

## ◆ isSyncPoint

int _CMediaSample::isSyncPoint

## ◆ media_type

AM_MEDIA_TYPE _CMediaSample::media_type

Referenced by CMediaSample_Destroy(), and CMediaSampleCreate().

## ◆ own_block

char* _CMediaSample::own_block

Referenced by CMediaSample_Destroy(), CMediaSample_ResetPointer(), CMediaSample_SetActualDataLength(), CMediaSample_SetPointer(), and CMediaSampleCreate().

## ◆ refcount

int _CMediaSample::refcount

Referenced by CMediaSample_Destroy(), and CMediaSampleCreate().

## ◆ ResetPointer

void(* _CMediaSample::ResetPointer) (CMediaSample *This)

Referenced by CMediaSampleCreate(), MemAllocator_GetBuffer(), MemAllocator_ReleaseBuffer(), and MemAllocator_ResetPointer().

## ◆ SetPointer

void(* _CMediaSample::SetPointer) (CMediaSample *This, char *pointer)

Referenced by CMediaSampleCreate(), and MemAllocator_GetBuffer().

## ◆ size

int _CMediaSample::size

Referenced by CMediaSample_SetActualDataLength(), and CMediaSampleCreate().

## ◆ time_end

LONGLONG _CMediaSample::time_end

Referenced by CMediaSampleCreate().

## ◆ time_start

LONGLONG _CMediaSample::time_start

Referenced by CMediaSampleCreate().

## ◆ type_valid

int _CMediaSample::type_valid

Referenced by CMediaSampleCreate().

## ◆ vt

IMediaSample_vt* _CMediaSample::vt

Referenced by CMediaSample_Destroy(), CMediaSampleCreate(), and MemAllocator_GetBuffer().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/libw32dll/DirectShow/cmediasample.h